--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_005_pos.ksh	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_005_pos.ksh	Wed Aug 31 16:20:48 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_unmount/zfs_unmount.kshlib
 
@@ -68,7 +72,7 @@
 		j=0
 		while (( j < ${#dev[*]} )); do
 			mounted ${dev[j]} || \
-				log_must $ZFS $mountcmd ${dev[0]}
+				log_must zfs $mountcmd ${dev[0]}
 
 			cd $TESTDIR || \
 				log_unresolved "Unable change dir to $TESTDIR"
@@ -85,7 +89,7 @@
 	done
 }
 
-log_assert "Verify that '$ZFS $unmountcmd <filesystem|mountpoint>' " \
+log_assert "Verify that 'zfs $unmountcmd <filesystem|mountpoint>' " \
 	"with a filesystem which mountpoint is currently in use " \
 	"will fail with return code 1, and forcefully will succeeds as root."
 
@@ -104,6 +108,6 @@
         ((i = i + 1))
 done
 
-log_pass "'$ZFS $unmountcmd <filesystem|mountpoint>' " \
+log_pass "'zfs $unmountcmd <filesystem|mountpoint>' " \
 	"with a filesystem which mountpoint is currently in use " \
 	"will fail with return code 1, and forcefully will succeeds as root."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_006_pos.ksh	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_006_pos.ksh	Wed Aug 31 16:20:48 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -42,7 +46,7 @@
 function cleanup
 {
 	if ! ismounted $TESTPOOL/$TESTFS ; then
-		log_must $ZFS mount $TESTPOOL/$TESTFS
+		log_must zfs mount $TESTPOOL/$TESTFS
 	fi
 }
 
@@ -56,12 +60,12 @@
 
 typeset -i i=0
 while (( i < 10000 )); do
-	$CP $STF_SUITE/include/libtest.shlib $mntpnt
+	cp $STF_SUITE/include/libtest.shlib $mntpnt
 
 	(( i += 1 ))
 done
 log_note "Recreating zfs files for 10000 times."
 
-log_must $ZFS unmount $TESTPOOL/$TESTFS
+log_must zfs unmount $TESTPOOL/$TESTFS
 
 log_pass "Re-creating zfs files, 'zfs unmount' passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_007_neg.ksh	Wed Aug 31 16:20:48 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_007_neg.ksh	Wed Aug 31 16:20:48 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 . $STF_SUITE/tests/functional/cli_root/zfs_unmount/zfs_unmount.kshlib
 
@@ -70,10 +74,10 @@
 	typeset fs
 
 	cleanup_filesystem "$TESTPOOL" "$TESTFS1"
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
 	[[ -d ${TEST_BASE_DIR%%/}/testroot$$ ]] && \
-		$RM -rf ${TEST_BASE_DIR%%/}/testroot$$
+		rm -rf ${TEST_BASE_DIR%%/}/testroot$$
 
 	return 0
 }
@@ -96,7 +100,7 @@
 
 typeset -i i=0
 while (( i < ${#args[*]} )); do
-	log_mustnot $ZFS ${args[i]}
+	log_mustnot zfs ${args[i]}
 	((i = i + 1))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_008_neg.ksh	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_008_neg.ksh	Wed Aug 31 16:20:49 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -50,19 +54,19 @@
 {
 	for ds in $vol $fs1; do
 		if datasetexists $ds; then
-			log_must $ZFS destroy -f $ds
+			log_must zfs destroy -f $ds
 		fi
 	done
 
 	if snapexists $snap; then
-		log_must $ZFS destroy $snap
+		log_must zfs destroy $snap
 	fi
 
 	if [[ -e /tmp/$file ]]; then
-		$RM -f /tmp/$file
+		rm -f /tmp/$file
 	fi
 	if [[ -d /tmp/$dir ]]; then
-		$RM -rf /tmp/$dir
+		rm -rf /tmp/$dir
 	fi
 
 }
@@ -76,12 +80,12 @@
 set -A badargs "A" "-A" "F" "-F" "-" "-x" "-?"
 
 if ! ismounted $fs; then
-	log_must $ZFS mount $fs
+	log_must zfs mount $fs
 fi
 
-log_must $ZFS snapshot $snap
+log_must zfs snapshot $snap
 if is_global_zone; then
-	log_must $ZFS create -V 10m $vol
+	log_must zfs create -V 10m $vol
 else
 	vol=""
 fi
@@ -88,7 +92,7 @@
 
 # Testing bad options
 for arg in ${badargs[@]}; do
-	log_mustnot eval "$ZFS unmount $arg $fs >/dev/null 2>&1"
+	log_mustnot eval "zfs unmount $arg $fs >/dev/null 2>&1"
 done
 
 
@@ -95,7 +99,7 @@
 #Testing invalid datasets
 for ds in $snap $vol "blah"; do
 	for opt in "" "-f"; do
-		log_mustnot eval "$ZFS unmount $opt $ds >/dev/null 2>&1"
+		log_mustnot eval "zfs unmount $opt $ds >/dev/null 2>&1"
 	done
 done
 
@@ -103,14 +107,14 @@
 dir=foodir.$$
 file=foo.$$
 fs1=$TESTPOOL/fs.$$
-$MKDIR /tmp/$dir
-$TOUCH /tmp/$file
-log_must $ZFS create -o mountpoint=/tmp/$dir $fs1
-curpath=`$DIRNAME $0`
+mkdir /tmp/$dir
+touch /tmp/$file
+log_must zfs create -o mountpoint=/tmp/$dir $fs1
+curpath=`dirname $0`
 cd /tmp
 for mpt in "./$dir" "./$file" "/tmp"; do
 	for opt in "" "-f"; do
-		log_mustnot eval "$ZFS unmount $opt $mpt >/dev/null 2>&1"
+		log_mustnot eval "zfs unmount $opt $mpt >/dev/null 2>&1"
 	done
 done
 cd $curpath
@@ -117,23 +121,23 @@
 
 #Testing null argument and too many arguments
 for opt in "" "-f"; do
-	log_mustnot eval "$ZFS unmount $opt >/dev/null 2>&1"
-	log_mustnot eval "$ZFS unmount $opt $fs $fs1 >/dev/null 2>&1"
+	log_mustnot eval "zfs unmount $opt >/dev/null 2>&1"
+	log_mustnot eval "zfs unmount $opt $fs $fs1 >/dev/null 2>&1"
 done
 
 #Testing already unmounted filesystem
-log_must $ZFS unmount $fs1
+log_must zfs unmount $fs1
 for opt in "" "-f"; do
-	log_mustnot eval "$ZFS unmount $opt $fs1 >/dev/null 2>&1"
-	log_mustnot eval "$ZFS unmount /tmp/$dir >/dev/null 2>&1"
+	log_mustnot eval "zfs unmount $opt $fs1 >/dev/null 2>&1"
+	log_mustnot eval "zfs unmount /tmp/$dir >/dev/null 2>&1"
 done
 
 #Testing legacy mounted filesystem
-log_must $ZFS set mountpoint=legacy $fs1
-log_must $MOUNT -F zfs $fs1 /tmp/$dir
+log_must zfs set mountpoint=legacy $fs1
+log_must mount -F zfs $fs1 /tmp/$dir
 for opt in "" "-f"; do
-	log_mustnot eval "$ZFS unmount $opt $fs1 >/dev/null 2>&1"
+	log_mustnot eval "zfs unmount $opt $fs1 >/dev/null 2>&1"
 done
-$UMOUNT /tmp/$dir
+umount /tmp/$dir
 
 log_pass "zfs unmount fails with bad parameters or scenarios as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_009_pos.ksh	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_009_pos.ksh	Wed Aug 31 16:20:49 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -52,17 +56,17 @@
 	for fs in $TESTPOOL/$TESTFS $TESTPOOL ; do
 		typeset snap=$fs@$TESTSNAP
 		if snapexists $snap; then
-			log_must $ZFS destroy $snap
+			log_must zfs destroy $snap
 		fi
 	done
 
 	if ! poolexists $TESTPOOL && is_global_zone; then
-		log_must $ZPOOL create $TESTPOOL $DISK
+		log_must zpool create $TESTPOOL $DISK
 	fi
 
 	if ! datasetexists $TESTPOOL/$TESTFS; then
-		log_must $ZFS create $TESTPOOL/$TESTFS
-		log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+		log_must zfs create $TESTPOOL/$TESTFS
+		log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 	fi
 }
 
@@ -69,11 +73,11 @@
 function restore_dataset
 {
 	if ! datasetexists $TESTPOOL/$TESTFS ; then
-		log_must $ZFS create $TESTPOOL/$TESTFS
-		log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+		log_must zfs create $TESTPOOL/$TESTFS
+		log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 		log_must cd $TESTDIR
-		$ECHO hello > world
-		log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+		echo hello > world
+		log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
 		log_must cd .zfs/snapshot/$TESTSNAP
 	fi
 }
@@ -87,22 +91,22 @@
 	typeset mtpt=$(get_prop mountpoint $fs)
 
 	log_must cd $mtpt
-	$ECHO hello > world
-	log_must $ZFS snapshot $snap
+	echo hello > world
+	log_must zfs snapshot $snap
 	log_must cd .zfs/snapshot/$TESTSNAP
 
-	log_mustnot $ZFS unmount -a
-	log_must $ZFS unmount -fa
-	log_mustnot $LS
+	log_mustnot zfs unmount -a
+	log_must zfs unmount -fa
+	log_mustnot ls
 	log_must cd /
 
-	log_must $ZFS mount -a
+	log_must zfs mount -a
 	log_must cd $mtpt
 	log_must cd .zfs/snapshot/$TESTSNAP
 
 	if is_global_zone || [[ $fs != $TESTPOOL ]] ; then
-		log_must $ZFS destroy -rf $fs
-		log_mustnot $LS
+		log_must zfs destroy -rf $fs
+		log_mustnot ls
 		log_must cd /
 	fi
 
@@ -110,14 +114,14 @@
 done
 
 if is_global_zone ; then
-	log_must $ZPOOL destroy -f $TESTPOOL
-	log_mustnot $LS
+	log_must zpool destroy -f $TESTPOOL
+	log_mustnot ls
 	log_must cd /
 fi
 
-log_must eval $ZFS list > /dev/null 2>&1
-log_must eval $ZPOOL list > /dev/null 2>&1
-log_must eval $ZPOOL status > /dev/null 2>&1
-$ZPOOL iostat > /dev/null 2>&1
+log_must eval zfs list > /dev/null 2>&1
+log_must eval zpool list > /dev/null 2>&1
+log_must eval zpool status > /dev/null 2>&1
+zpool iostat > /dev/null 2>&1
 
 log_pass "zfs fource unmount and destroy in snapshot directory will not cause error."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_all_001_pos.ksh	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unmount/zfs_unmount_all_001_pos.ksh	Wed Aug 31 16:20:49 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/cli_root/zfs_mount/zfs_mount.kshlib
 . $STF_SUITE/tests/functional/cli_root/zfs_unmount/zfs_unmount.kshlib
 
@@ -119,7 +123,7 @@
 	done
 
 	[[ -d ${TEST_BASE_DIR%%/}/testroot$$ ]] && \
-		$RM -rf ${TEST_BASE_DIR%%/}/testroot$$
+		rm -rf ${TEST_BASE_DIR%%/}/testroot$$
 }
 
 function verify_all
@@ -167,17 +171,17 @@
 typeset opt
 for opt in "-a" "-fa"; do
 	export __ZFS_POOL_RESTRICT="$TESTPOOL"
-	log_must $ZFS $mountall
+	log_must zfs $mountall
 	unset __ZFS_POOL_RESTRICT
 
 	if [[ $opt == "-fa" ]]; then
 		mntpnt=$(get_prop mountpoint ${TESTPOOL}/${TESTCTR}/${TESTFS})
 		cd $mntpnt
-		log_mustnot $ZFS unmount -a
+		log_mustnot zfs unmount -a
 	fi
 
 	export __ZFS_POOL_RESTRICT="$TESTPOOL"
-	log_must $ZFS unmount $opt
+	log_must zfs unmount $opt
 	unset __ZFS_POOL_RESTRICT
 
 	if [[ $opt == "-fa" ]]; then
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_001_pos.ksh	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_001_pos.ksh	Wed Aug 31 16:20:49 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -46,28 +50,28 @@
 {
 	typeset -i i=0
 	while (( i < ${#mntp_fs[*]} )); do
-		log_must $ZFS set sharenfs=off ${mntp_fs[((i+1))]}
+		log_must zfs set sharenfs=off ${mntp_fs[((i+1))]}
 
 		((i = i + 2))
 	done
 
 	if mounted $TESTPOOL/$TESTCLONE; then
-		log_must $ZFS unmount $TESTDIR2
+		log_must zfs unmount $TESTDIR2
 	fi
 
 	[[ -d $TESTDIR2 ]] && \
-		log_must $RM -rf $TESTDIR2
+		log_must rm -rf $TESTDIR2
 
 	if datasetexists "$TESTPOOL/$TESTCLONE"; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTCLONE
+		log_must zfs destroy -f $TESTPOOL/$TESTCLONE
 	fi
 
 	if snapexists "$TESTPOOL/$TESTFS2@snapshot"; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS2@snapshot
+		log_must zfs destroy -f $TESTPOOL/$TESTFS2@snapshot
 	fi
 
 	if datasetexists "$TESTPOOL/$TESTFS2"; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS2
+		log_must zfs destroy -f $TESTPOOL/$TESTFS2
 	fi
 }
 
@@ -88,29 +92,29 @@
 
 	if [[ $prop_value == "off" ]]; then
 		not_shared $mntp ||
-			log_must $UNSHARE -F nfs $mntp
-		log_must $ZFS set sharenfs=on $filesystem
+			log_must unshare -F nfs $mntp
+		log_must zfs set sharenfs=on $filesystem
 		is_shared $mntp || \
-			log_fail "'$ZFS set sharenfs=on' fails to make" \
+			log_fail "'zfs set sharenfs=on' fails to make" \
 				"file system $filesystem shared."
 	fi
 
-	is_shared $mntp || log_must $ZFS share $filesystem
+	is_shared $mntp || log_must zfs share $filesystem
 
         #
 	# Verify 'zfs unshare <filesystem>' works as well.
 	#
-	log_must $ZFS unshare $filesystem
+	log_must zfs unshare $filesystem
 	not_shared $mntp || log_fail "'zfs unshare <filesystem>' fails"
 
-	log_must $ZFS share $filesystem
+	log_must zfs share $filesystem
 
-	log_must $ZFS unshare $mntp
+	log_must zfs unshare $mntp
 	not_shared $mntp || log_fail "'zfs unshare <mountpoint>' fails"
 
         log_note "Unsharing an unshared file system fails."
-        log_mustnot $ZFS unshare $filesystem
-	log_mustnot $ZFS unshare $mntp
+        log_mustnot zfs unshare $filesystem
+	log_mustnot zfs unshare $mntp
 }
 
 set -A mntp_fs \
@@ -121,10 +125,10 @@
 log_assert "Verify that 'zfs unshare [-a] <filesystem|mountpoint>' succeeds as root."
 log_onexit cleanup
 
-log_must $ZFS create $TESTPOOL/$TESTFS2
-log_must $ZFS snapshot $TESTPOOL/$TESTFS2@snapshot
-log_must $ZFS clone $TESTPOOL/$TESTFS2@snapshot $TESTPOOL/$TESTCLONE
-log_must $ZFS set mountpoint=$TESTDIR2 $TESTPOOL/$TESTCLONE
+log_must zfs create $TESTPOOL/$TESTFS2
+log_must zfs snapshot $TESTPOOL/$TESTFS2@snapshot
+log_must zfs clone $TESTPOOL/$TESTFS2@snapshot $TESTPOOL/$TESTCLONE
+log_must zfs set mountpoint=$TESTDIR2 $TESTPOOL/$TESTCLONE
 
 #
 # Invoke 'test_unshare' routine to test 'zfs unshare <filesystem|mountpoint>'.
@@ -136,7 +140,7 @@
 	((i = i + 2))
 done
 
-log_note "Verify '$ZFS unshare -a' succeds as root."
+log_note "Verify 'zfs unshare -a' succeds as root."
 
 i=0
 typeset sharenfs_val
@@ -144,11 +148,11 @@
 	sharenfs_val=$(get_prop "sharenfs" ${mntp_fs[((i+1))]})
 	if [[ $sharenfs_val == "on" ]]; then
 		not_shared ${mntp_fs[i]} && \
-			log_must $ZFS share ${mntp_fs[((i+1))]}
+			log_must zfs share ${mntp_fs[((i+1))]}
 	else
-		log_must $ZFS set sharenfs=on ${mntp_fs[((i+1))]}
+		log_must zfs set sharenfs=on ${mntp_fs[((i+1))]}
 		is_shared ${mntp_fs[i]} || \
-			log_fail "'$ZFS set sharenfs=on' fails to share filesystem."
+			log_fail "'zfs set sharenfs=on' fails to share filesystem."
 	fi
 
         ((i = i + 2))
@@ -157,7 +161,7 @@
 #
 # test 'zfs unshare -a '
 #
-log_must $ZFS unshare -a
+log_must zfs unshare -a
 
 #
 # verify all shared filesystems become unshared
@@ -165,9 +169,9 @@
 i=0
 while (( i < ${#mntp_fs[*]} )); do
         not_shared ${mntp_fs[i]} || \
-                log_fail "'$ZFS unshare -a' fails to unshare all shared zfs filesystems."
+                log_fail "'zfs unshare -a' fails to unshare all shared zfs filesystems."
 
         ((i = i + 2))
 done
 
-log_pass "'$ZFS unshare [-a] <filesystem|mountpoint>' succeeds as root."
+log_pass "'zfs unshare [-a] <filesystem|mountpoint>' succeeds as root."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_002_pos.ksh	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_002_pos.ksh	Wed Aug 31 16:20:49 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -45,28 +49,28 @@
 	typeset -i i=0
 	while (( i < ${#mntp_fs[*]} )); do
 		is_shared ${mntp_fs[i]} && \
-			log_must $UNSHARE -F nfs ${mntp_fs[i]}
+			log_must unshare -F nfs ${mntp_fs[i]}
 
 		((i = i + 2))
 	done
 
 	if mounted $TESTPOOL/$TESTCLONE; then
-		log_must $ZFS unmount $TESTDIR2
+		log_must zfs unmount $TESTDIR2
 	fi
 
 	[[ -d $TESTDIR2 ]] && \
-		log_must $RM -rf $TESTDIR2
+		log_must rm -rf $TESTDIR2
 
 	if datasetexists "$TESTPOOL/$TESTCLONE"; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTCLONE
+		log_must zfs destroy -f $TESTPOOL/$TESTCLONE
 	fi
 
 	if snapexists "$TESTPOOL/$TESTFS2@snapshot"; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS2@snapshot
+		log_must zfs destroy -f $TESTPOOL/$TESTFS2@snapshot
 	fi
 
 	if datasetexists "$TESTPOOL/$TESTFS2"; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTFS2
+		log_must zfs destroy -f $TESTPOOL/$TESTFS2
 	fi
 }
 
@@ -81,18 +85,18 @@
         typeset mntp=$1
         typeset filesystem=$2
 
-	log_must $ZFS set sharenfs=off $filesystem
+	log_must zfs set sharenfs=off $filesystem
 	not_shared $mntp || \
 	    log_fail "'zfs set sharenfs=off' fails to make ZFS " \
 	    "filesystem $filesystem unshared."
 
-	log_must $SHARE -F nfs $mntp
+	log_must share -F nfs $mntp
 	is_shared $mntp || \
 	    log_fail "'share' command fails to share ZFS file system."
 	#
 	# Verify 'zfs unshare <filesystem>' is aware of legacy share.
 	#
-	log_mustnot $ZFS unshare $filesystem
+	log_mustnot zfs unshare $filesystem
 	is_shared $mntp || \
 	    log_fail "'zfs unshare <filesystem>' fails to be aware" \
 	    "of legacy share."
@@ -100,7 +104,7 @@
 	#
 	# Verify 'zfs unshare <filesystem>' is aware of legacy share.
 	#
-	log_mustnot $ZFS unshare $mntp
+	log_mustnot zfs unshare $mntp
 	is_shared $mntp || \
 	    log_fail "'zfs unshare <mountpoint>' fails to be aware" \
 	    "of legacy share."
@@ -115,10 +119,10 @@
 log_assert "Verify that 'zfs unshare [-a]' is aware of legacy share."
 log_onexit cleanup
 
-log_must $ZFS create $TESTPOOL/$TESTFS2
-log_must $ZFS snapshot $TESTPOOL/$TESTFS2@snapshot
-log_must $ZFS clone $TESTPOOL/$TESTFS2@snapshot $TESTPOOL/$TESTCLONE
-log_must $ZFS set mountpoint=$TESTDIR2 $TESTPOOL/$TESTCLONE
+log_must zfs create $TESTPOOL/$TESTFS2
+log_must zfs snapshot $TESTPOOL/$TESTFS2@snapshot
+log_must zfs clone $TESTPOOL/$TESTFS2@snapshot $TESTPOOL/$TESTCLONE
+log_must zfs set mountpoint=$TESTDIR2 $TESTPOOL/$TESTCLONE
 
 #
 # Invoke 'test_legacy_unshare' routine to verify.
@@ -131,7 +135,7 @@
 done
 
 
-log_note "Verify '$ZFS unshare -a' is aware of legacy share."
+log_note "Verify 'zfs unshare -a' is aware of legacy share."
 
 #
 # set the 'sharenfs' property to 'off' for each filesystem
@@ -138,9 +142,9 @@
 #
 i=0
 while (( i < ${#mntp_fs[*]} )); do
-        log_must $ZFS set sharenfs=off ${mntp_fs[((i + 1))]}
+        log_must zfs set sharenfs=off ${mntp_fs[((i + 1))]}
         not_shared ${mntp_fs[i]} || \
-                log_fail "'$ZFS set sharenfs=off' unshares file system failed."
+                log_fail "'zfs set sharenfs=off' unshares file system failed."
 
         ((i = i + 2))
 done
@@ -150,9 +154,9 @@
 #
 i=0
 while (( i < ${#mntp_fs[*]} )); do
-        $SHARE -F nfs ${mntp_fs[i]}
+        share -F nfs ${mntp_fs[i]}
         is_shared ${mntp_fs[i]} || \
-                log_fail "'$SHARE' shares ZFS filesystem failed."
+                log_fail "'share' shares ZFS filesystem failed."
 
         ((i = i + 2))
 done
@@ -160,7 +164,7 @@
 #
 # Verify that 'zfs unshare -a' is aware of legacy share
 #
-log_must $ZFS unshare -a
+log_must zfs unshare -a
 
 #
 # verify ZFS filesystems are still shared
@@ -168,10 +172,10 @@
 i=0
 while (( i < ${#mntp_fs[*]} )); do
         is_shared ${mntp_fs[i]} || \
-            log_fail "'$ZFS  unshare -a' fails to be aware of legacy share."
+            log_fail "'zfs  unshare -a' fails to be aware of legacy share."
 
         ((i = i + 2))
 done
 
-log_pass "'$ZFS unshare [-a]' succeeds to be aware of legacy share."
+log_pass "'zfs unshare [-a]' succeeds to be aware of legacy share."
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_003_pos.ksh	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_003_pos.ksh	Wed Aug 31 16:20:49 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -46,10 +50,10 @@
 function cleanup
 {
 	if snapexists $TESTPOOL/$TESTFS@snapshot; then
-		log_must $ZFS destroy $TESTPOOL/$TESTFS@snapshot
+		log_must zfs destroy $TESTPOOL/$TESTFS@snapshot
 	fi
 
-	log_must $ZFS set sharenfs=off $TESTPOOL/$TESTFS
+	log_must zfs set sharenfs=off $TESTPOOL/$TESTFS
 }
 
 #
@@ -68,11 +72,11 @@
 	prop_value=$(get_prop "sharenfs" $filesystem)
 
 	if [[ $prop_value == "off" ]]; then
-		is_shared $mntp || $UNSHARE -F nfs $mntp
-		log_must $ZFS set sharenfs=on $filesystem
+		is_shared $mntp || unshare -F nfs $mntp
+		log_must zfs set sharenfs=on $filesystem
 	fi
 
-	log_must $ZFS set sharenfs=off $filesystem
+	log_must zfs set sharenfs=off $filesystem
 
 	not_shared $mntp || \
 		log_fail "File system $filesystem is shared (set sharenfs)."
@@ -84,7 +88,7 @@
 log_assert "Verify that a file system and its dependant are unshared."
 log_onexit cleanup
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snapshot
+log_must zfs snapshot $TESTPOOL/$TESTFS@snapshot
 test_snap_unshare $TESTDIR $TESTPOOL/$TESTFS
 
 log_pass "A file system and its dependant are both unshared as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_004_neg.ksh	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_004_neg.ksh	Wed Aug 31 16:20:49 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,16 +52,16 @@
 		"$TESTPOOL/$TESTFS $TESTDIR" "-f $TESTPOOL/$TESTFS $TESTDIR" \
 		"${TESTDIR#/}" "-f ${TESTDIR#/}"
 
-log_assert "Verify that '$ZFS unshare' issue error message with badly formed parameter."
+log_assert "Verify that 'zfs unshare' issue error message with badly formed parameter."
 
 shareval=$(get_prop sharenfs $TESTPOOL/$TESTFS)
 if [[ $shareval == off ]]; then
-	log_must $ZFS set sharenfs=on $TESTPOOL/$TESTFS
+	log_must zfs set sharenfs=on $TESTPOOL/$TESTFS
 fi
 
 typeset -i i=0
 while [[ $i -lt ${#args[*]} ]]; do
-        log_mustnot $ZFS unshare ${args[i]}
+        log_mustnot zfs unshare ${args[i]}
 
         ((i = i + 1))
 done
@@ -68,17 +68,17 @@
 
 #Testing that unsharing unshared filesystem fails.
 mpt=$(get_prop mountpoint $TESTPOOL/$TESTFS)
-log_must $ZFS unshare $TESTPOOL/$TESTFS
+log_must zfs unshare $TESTPOOL/$TESTFS
 for opt in "" "-f"; do
-	log_mustnot eval "$ZFS unshare $opt $TESTPOOL/$TESTFS >/dev/null 2>&1"
-	log_mustnot eval "$ZFS unshare $opt $mpt >/dev/null 2>&1"
+	log_mustnot eval "zfs unshare $opt $TESTPOOL/$TESTFS >/dev/null 2>&1"
+	log_mustnot eval "zfs unshare $opt $mpt >/dev/null 2>&1"
 done
 
 #Testing zfs unshare fails with legacy share set
-log_must $ZFS set sharenfs=off $TESTPOOL/$TESTFS
+log_must zfs set sharenfs=off $TESTPOOL/$TESTFS
 for opt in "" "-f"; do
-	log_mustnot eval "$ZFS unshare $opt $TESTPOOL/$TESTFS >/dev/null 2>&1"
-	log_mustnot eval "$ZFS unshare $opt $mpt >/dev/null 2>&1"
+	log_mustnot eval "zfs unshare $opt $TESTPOOL/$TESTFS >/dev/null 2>&1"
+	log_mustnot eval "zfs unshare $opt $mpt >/dev/null 2>&1"
 done
 
-log_pass "'$ZFS unshare' fails as expected with badly-formed parameters."
+log_pass "'zfs unshare' fails as expected with badly-formed parameters."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_005_neg.ksh	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_unshare/zfs_unshare_005_neg.ksh	Wed Aug 31 16:20:49 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -48,7 +52,7 @@
 typeset -i i=0
 while (( i < ${#datasets[*]} ))
 do
-	log_mustnot $ZFS unshare ${datasets[i]}
+	log_mustnot zfs unshare ${datasets[i]}
 
 	((i = i + 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib	Wed Aug 31 16:20:49 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib	Wed Aug 31 16:20:49 2016
@@ -24,6 +24,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -66,12 +70,12 @@
 			(( m+=1 ))
 		done
 		if (( spa_version != 0 )) && (( vp < spa_version )); then
-			log_mustnot $ZFS create -o version=${version} ${current_fs}
+			log_mustnot zfs create -o version=${version} ${current_fs}
 			continue
 		fi
-		log_must $ZFS create -o version=${version} ${current_fs}
-		log_must $ZFS snapshot ${current_snap}
-		log_must $ZFS clone ${current_snap} ${current_clone}
+		log_must zfs create -o version=${version} ${current_fs}
+		log_must zfs snapshot ${current_snap}
+		log_must zfs clone ${current_snap} ${current_clone}
 
 		for subversion in $ZFS_ALL_VERSIONS ; do
 			typeset subverfs
@@ -88,10 +92,10 @@
 				(( m+=1 ))
 			done
 			if (( spa_version != 0 )) && (( vp < spa_version )); then
-				log_mustnot $ZFS create -o \
+				log_mustnot zfs create -o \
 				version=${subversion} ${current_fs}/$subverfs
 			else
-				log_must $ZFS create -o \
+				log_must zfs create -o \
 				version=${subversion} ${current_fs}/$subverfs
 			fi
 		done
@@ -103,11 +107,11 @@
 	typeset rootfs=$1
 
 	if datasetexists $rootfs ; then
-		log_must $ZFS destroy -Rf $rootfs
+		log_must zfs destroy -Rf $rootfs
 	fi
 
 	if datasetnonexists $rootfs ; then
-		log_must $ZFS create $rootfs
+		log_must zfs create $rootfs
 	fi
 }
 
@@ -122,7 +126,7 @@
 	typeset newv
 	typeset -i df_ret
 
-	$DF -F zfs / > /dev/null 2>&1
+	df -F zfs / > /dev/null 2>&1
 	df_ret=$?
 
 	for newv in "" $ZFS_VERSION; do
@@ -146,14 +150,14 @@
 
 		if (( df_ret != 0 )); then
 			if (( spa_version != 0 )) && (( vp < spa_version )); then
-				log_mustnot eval '$ZFS upgrade $opt -a > /dev/null 2>&1'
-				log_must eval '$ZPOOL upgrade $pool > /dev/null 2>&1'
+				log_mustnot eval 'zfs upgrade $opt -a > /dev/null 2>&1'
+				log_must eval 'zpool upgrade $pool > /dev/null 2>&1'
 				vp=$(get_pool_prop version $pool)
 			fi
 
-			log_must eval '$ZFS upgrade $opt -a > /dev/null 2>&1'
+			log_must eval 'zfs upgrade $opt -a > /dev/null 2>&1'
 
-			for fs in $($ZFS list -rH -t filesystem -o name $rootfs) ; do
+			for fs in $(zfs list -rH -t filesystem -o name $rootfs) ; do
 				log_must check_fs_version $fs $newv
 			done
 		fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_001_pos.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_001_pos.ksh	Wed Aug 31 16:20:50 2016
@@ -23,8 +23,11 @@
 #
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+
 #
+# Copyright (c) 2016 by Delphix. All rights reserved.
 #
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -48,13 +51,13 @@
 function cleanup
 {
 	if datasetexists $rootfs ; then
-		log_must $ZFS destroy -Rf $rootfs
+		log_must zfs destroy -Rf $rootfs
 	fi
-	log_must $ZFS create $rootfs
+	log_must zfs create $rootfs
 
 	for file in $output $oldoutput ; do
 		if [[ -f $file ]]; then
-			log_must $RM -f $file
+			log_must rm -f $file
 		fi
 	done
 }
@@ -70,8 +73,8 @@
 typeset expect_str3="The following filesystems are out of date, and can be upgraded"
 typeset -i COUNT OLDCOUNT
 
-$ZFS upgrade | $NAWK '$1 ~ "^[0-9]+$" {print $2}'> $oldoutput
-OLDCOUNT=$( $WC -l $oldoutput | $AWK '{print $1}' )
+zfs upgrade | nawk '$1 ~ "^[0-9]+$" {print $2}'> $oldoutput
+OLDCOUNT=$( wc -l $oldoutput | awk '{print $1}' )
 
 old_datasets=""
 for version in $ZFS_ALL_VERSIONS ; do
@@ -80,9 +83,9 @@
 	typeset current_fs=$rootfs/$verfs
 	typeset current_snap=${current_fs}@snap
 	typeset current_clone=$rootfs/clone$verfs
-	log_must $ZFS create -o version=${version} ${current_fs}
-	log_must $ZFS snapshot ${current_snap}
-	log_must $ZFS clone ${current_snap} ${current_clone}
+	log_must zfs create -o version=${version} ${current_fs}
+	log_must zfs snapshot ${current_snap}
+	log_must zfs clone ${current_snap} ${current_clone}
 
 	if (( version != $ZFS_VERSION )); then
 		old_datasets="$old_datasets ${current_fs} ${current_clone}"
@@ -90,46 +93,46 @@
 done
 
 if is_global_zone; then
-	log_must $ZFS create -V 100m $rootfs/$TESTVOL
+	log_must zfs create -V 100m $rootfs/$TESTVOL
 fi
 
-log_must eval '$ZFS upgrade > $output 2>&1'
+log_must eval 'zfs upgrade > $output 2>&1'
 
 # we also check that the usage message contains at least a description
 # of the current ZFS version.
-log_must eval '$GREP "${expect_str1} $ZFS_VERSION" $output > /dev/null 2>&1'
-$ZFS upgrade | $NAWK '$1 ~ "^[0-9]+$" {print $2}'> $output
-COUNT=$( $WC -l $output | $AWK '{print $1}' )
+log_must eval 'grep "${expect_str1} $ZFS_VERSION" $output > /dev/null 2>&1'
+zfs upgrade | nawk '$1 ~ "^[0-9]+$" {print $2}'> $output
+COUNT=$( wc -l $output | awk '{print $1}' )
 
 typeset -i i=0
 for fs in ${old_datasets}; do
-	log_must $GREP "^$fs$" $output
+	log_must grep "^$fs$" $output
 	(( i = i + 1 ))
 done
 
 if (( i != COUNT - OLDCOUNT )); then
-	$CAT $output
+	cat $output
 	log_fail "More old-version filesystems print out than expect."
 fi
 
 for fs in $old_datasets ; do
 	if datasetexists $fs ; then
-		log_must $ZFS destroy -Rf $fs
+		log_must zfs destroy -Rf $fs
 	fi
 done
 
-log_must eval '$ZFS upgrade > $output 2>&1'
-log_must eval '$GREP "${expect_str1} $ZFS_VERSION" $output > /dev/null 2>&1'
+log_must eval 'zfs upgrade > $output 2>&1'
+log_must eval 'grep "${expect_str1} $ZFS_VERSION" $output > /dev/null 2>&1'
 if (( OLDCOUNT == 0 )); then
-	log_must eval '$GREP "${expect_str2}" $output > /dev/null 2>&1'
+	log_must eval 'grep "${expect_str2}" $output > /dev/null 2>&1'
 else
-	log_must eval '$GREP "${expect_str3}" $output > /dev/null 2>&1'
+	log_must eval 'grep "${expect_str3}" $output > /dev/null 2>&1'
 fi
-$ZFS upgrade | $NAWK '$1 ~ "^[0-9]+$" {print $2}'> $output
-COUNT=$( $WC -l $output | $AWK '{print $1}' )
+zfs upgrade | nawk '$1 ~ "^[0-9]+$" {print $2}'> $output
+COUNT=$( wc -l $output | awk '{print $1}' )
 
 if (( COUNT != OLDCOUNT )); then
-	$CAT $output
+	cat $output
 	log_fail "Unexpect old-version filesystems print out."
 fi
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_002_pos.ksh	Wed Aug 31 16:20:50 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_002_pos.ksh	Wed Aug 31 16:20:50 2016
@@ -24,7 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
 #
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_upgrade/zfs_upgrade.kshlib
 
@@ -43,7 +47,7 @@
 function cleanup
 {
 	if [[ -f $output ]]; then
-		log_must $RM -f $output
+		log_must rm -f $output
 	fi
 }
 
@@ -54,10 +58,10 @@
 typeset expect_str1="Initial ZFS filesystem version"
 typeset expect_str2="Enhanced directory entries"
 
-log_must eval '$ZFS upgrade -v > /dev/null 2>&1'
+log_must eval 'zfs upgrade -v > /dev/null 2>&1'
 
-$ZFS upgrade -v | $NAWK '$1 ~ "^[0-9]+$" {print $0}'> $output
-log_must eval '$GREP "${expect_str1}" $output > /dev/null 2>&1'
-log_must eval '$GREP "${expect_str2}" $output > /dev/null 2>&1'
+zfs upgrade -v | nawk '$1 ~ "^[0-9]+$" {print $0}'> $output
+log_must eval 'grep "${expect_str1}" $output > /dev/null 2>&1'
+log_must eval 'grep "${expect_str2}" $output > /dev/null 2>&1'
 
 log_pass "Executing 'zfs upgrade -v' command succeeds."
